<?php
// $Id: ajax_validation.admin.inc,v 1.1.2.4 2008/10/08 16:12:21 tapocol Exp $

/**
 * @file
 */

/**
 * AJAX Validation settings form
 */
function ajax_validation_settings() {
  $form['ajax_validation'] = array(
    '#type' => 'checkbox',
    '#title' => t('AJAX Validation on all forms'),
    '#description' => t('This will validate all forms when submitting via AJAX before allowing the submit to continue.'),
    '#default_value' => variable_get('ajax_validation', 0),
  );
  $form['ajax_validation_error_placement'] = array(
    '#type' => 'select',
    '#title' => t('AJAX Validation Error Placement'),
    '#description' => t('Determines where to display the error message on the screen.'),
    '#options' => array(
      'field' => t('Next to the corresponding field'),
      'above' => t('Above the form'),
    ),
    '#default_value' => variable_get('ajax_validation_error_placement', 'field'),
  );

  return system_settings_form($form);
}

function ajax_validation_settings_validate($form, &$form_state) {
  if ($form_state['values']['ajax_validation'] !== 0 && menu_get_item('ajax_validation') === FALSE) {
    form_set_error('ajax_validation', t('The AJAX Validation path (ajax_validation) is not available. Try to !clear-cache or !reinstall the AJAX Validation module.', array('!clear-cache' => l(t('clear cache'), 'admin/settings/performance'), '!reinstall' => l(t('reinstall'), 'admin/build/modules'))));
  }
}
